# $Revision: 1.92 $, $Date: 2010/06/30 08:42:18 $
# TODO: real descs for okular and KIPI libs
%define		_state		stable
%define		qtver		4.6.3

%define	orgname	kdegraphics
Summary:	K Desktop Environment - Graphic Applications
Summary(es.UTF-8):	K Desktop Environment - aplicaciones grficas
Summary(pl.UTF-8):	K Desktop Environment - Aplikacje graficzne
Summary(pt_BR.UTF-8):	K Desktop Environment - Aplica0401es grficas
Name:		kde4-kdegraphics
Version:	4.4.5
Release:	1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.bz2
# Source0-md5:	e3a1bad9e37b82bd62be00797714f38d
#Patch100: %{name}-branch.diff
URL:		http://www.kde.org/
BuildRequires:	Qt3Support-devel >= %{qtver}
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtDesigner-devel >= %{qtver}
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	QtTest-devel >= %{qtver}
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	chmlib-devel
BuildRequires:	cmake >= 2.8.0
BuildRequires:	djvulibre-devel
BuildRequires:	ebook-tools-devel
BuildRequires:	exiv2-devel >= 0.18.2
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	lcms-devel
BuildRequires:	libgphoto2-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	libspectre-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxml2-progs
BuildRequires:	pkgconfig
BuildRequires:	poppler-Qt-devel
BuildRequires:	qca-devel >= 2.0.0
BuildRequires:	qimageblitz-devel
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	sane-backends-devel
BuildRequires:	shared-desktop-ontologies-devel
BuildRequires:	soprano-devel
BuildRequires:	strigi-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Graphic applications for the K Desktop Environment.

Included with this package are:

- Kamera - digital camera support
- KColorChooser - color chooser
- KFile
- KGamma
- KolourPaint - a simple drawing program
- KSANE - a scanning tool
- KRuler - a screen ruler
- KSnapshot - screen capture
- svgpart
- oKular
- gwenview - an image viewer

%description -l es.UTF-8
Aplicaciones grficas para KDE.

Incluidos en este paquete:
- Kamera
- KColorChooser
- KFile
- KGamma
- KolourPaint - un programa sencillo de dibujo
- KSANE
- KRuler
- KSnapshot
- svgpart
- oKular
- gwenview - visualiza numerosos formatos de archivos grficos

%description -l pl.UTF-8
Aplikacje graficzne dla KDE.

Pakiet zawiera programy:

- Kamera - obs00uga kamer cyfrowych
- KColorChooser - wybr koloru
- KFile
- KGamma
- KolourPaint - prosty program do grafiki rastrowej
- KRuler - linijka ekranowa
- KSANE - narz01dzie do skanowania
- KSnapshot - program do przechwytywania wygl02du ekranu
- svgpart
- oKular
- gwenview - przegl02darka plikw graficznych

%description -l pt_BR.UTF-8
Aplica0401es grficas para o KDE.

Includos neste pacote:
- Kamera
- KColorChooser
- KFile
- KGamma
- KolourPaint - um programa simples de desenho
- KRuler
- KSANE
- KSnapshot
- svgpart
- oKular
- gwenview - visualiza numerosos formatos de arquivos grficos

%package devel
Summary:	kdegraphics development files
Summary(pl.UTF-8):	Pliki dla programistw kdegraphics
Summary(pt_BR.UTF-8):	Arquivos de inclus00o para compila0400o de aplica0401es com kdegraphics
Group:		X11/Development/Libraries
Requires:	%{name}-gwenview = %{version}-%{release}
Requires:	%{name}-kolourpaint = %{version}-%{release}
Requires:	%{name}-ksane = %{version}-%{release}
Requires:	%{name}-okular = %{version}-%{release}
Requires:	kde4-kdelibs-devel
Requires:	kde4-libkdcraw = %{version}-%{release}
Requires:	kde4-libkexiv2 = %{version}-%{release}
Requires:	kde4-libkipi = %{version}-%{release}

%description devel
kdegraphics development files.

%description devel -l pl.UTF-8
Pliki dla programistw kdegraphics.

%description devel -l pt_BR.UTF-8
Arquivos de inclus00o para compila0400o de aplica0401es que usem as
bibliotecas do kdegraphics.

%package kamera
Summary:	Digital camera support
Summary(pl.UTF-8):	Obs00uga kamer cyfrowych
Group:		X11/Applications/Graphics
Requires:	kde4-kdebase >= %{version}

%description kamera
kamera is an IO slave and a KControl panel module which allows you to
access folders and images within any digital camera supported by the
upcoming gPhoto2 libraries. If you have a supported camera, you can
start using it with most KDE applications in two easy steps: simply
configure your camera model and port type from a list in KControl,
then start accessing the camera contents with a kamera:/ URL.

%description kamera -l pl.UTF-8
kamera to modu00 IO slave oraz panelu KControl umo04liwiaj02cy dost01p
do folderw i zdj0104 w dowolnym aparacie cyfrowym obs00ugiwanym
przez biblioteki gPhoto2. Je02li mamy obs00ugiwany aparat, mo04na
zacz0204 u04ywa04 go w wi01kszo02ci aplikacji KDE w dwch krokach:
wybra04 model i port aparatu z listy w KControl, a nast01pnie
odwo00ywa04 si01 do zawarto02ci aparatu przez URL kamera:/.

%package kcolorchooser
Summary:	Color chooser
Summary(pl.UTF-8):	Program do wybierania kolorw
Group:		X11/Applications/Graphics
Requires:	kde4-kdelibs >= %{version}

%description kcolorchooser
Color chooser.

%description kcolorchooser -l pl.UTF-8
Program do wybierania kolorw.

%package kfile
Summary:	Graphic formats enhanced information
Summary(pl.UTF-8):	Rozszerzone informacje o plikach graficznych
Group:		X11/Applications/Graphics
Requires:	kde4-konqueror >= %{version}

%description kfile
This package adds a fold to konqueror "file properties" dialog window
with file enhanced informations.

%description kfile -l pl.UTF-8
Ten pakiet dodaje do okna dialogowego "w00a02ciwo02ci pliku"
konquerora dodatkow02 zak00adk01 z rozszerzonymi informacjami o pliku.

%package kgamma
Summary:	A monitor calibration tool
Summary(pl.UTF-8):	Narz01dzie do kalibracji monitora
Group:		X11/Applications/Graphics
Requires:	kde4-kdebase >= %{version}

%description kgamma
A monitor calibration tool.

%description kgamma -l pl.UTF-8
Narz01dzie do kalibracji monitora.

%package kolourpaint
Summary:	KDE Painter
Summary(pl.UTF-8):	Program graficzny KDE
Summary(pt_BR.UTF-8):	Editor bsico de imagens bitmap
Group:		X11/Applications/Graphics
Requires:	kde4-kdebase >= %{version}

%description kolourpaint
A (very) simple painting program for KDE.

%description kolourpaint -l pl.UTF-8
(Bardzo) prosty program do rysowania pod KDE.

%description kolourpaint -l pt_BR.UTF-8
Editor bsico de imagens bitmap.

%package kruler
Summary:	KRuler
Summary(pl.UTF-8):	Linijka dla KDE
Summary(pt_BR.UTF-8):	Rgua de pixels para a tela
Group:		X11/Applications/Graphics
Requires:	kde4-kdebase >= %{version}

%description kruler
KRuler is a very simple application, with only one aim in life. To
measure distances on your screen.

%description kruler -l pl.UTF-8
KRuler jest prost02 aplikacj02, z tylko jednym celem w 04yciu:
mierzenie odleg00o02ci na ekranie.

%description kruler -l pt_BR.UTF-8
Rgua de pixels para a tela.

%package ksane
Summary:	Scanning tool
Summary(pl.UTF-8):	Narz01dzie do skanowania
Summary(pt_BR.UTF-8):	Um programa de rasteriza0400o de imagens, baseado no SANE e libkscan
Group:		X11/Applications/Graphics
Requires:	kde4-kdebase >= %{version}
Obsoletes:	kde4-kdegraphics-kscanservice
Conflicts:	kde4-kdegraphics-kscanservice

%description ksane
Ksane is a KDE application that enables easy scanning using SANE
libraries.

%description ksane -l pl.UTF-8
Ksane to aplikacja KDE umo04liwiaj02ca 00atwe skanowanie przy u04yciu
bibliotek SANE.

%description ksane -l pt_BR.UTF-8
Um programa de rasteriza0400o de imagens, baseado no SANE e libkscan.

%package ksnapshot
Summary:	KDE Snap Shot
Summary(pl.UTF-8):	Program do przechwytywania ekranu dla KDE
Summary(pt_BR.UTF-8):	Programa de captura de tela
Group:		X11/Applications/Graphics
Requires:	kde4-kdebase >= %{version}

%description ksnapshot
KSnapshot is a simple application for taking screenshots. It is
capable of capturing images of either the whole desktop or just a
single window. The images can then be saved in a variety of formats.

%description ksnapshot -l pl.UTF-8
KSnapshot to prosta aplikacja do robienia zrzutw ekranu. Potrafi
przechwytywa04 obraz ca00ego pulpitu lub tylko pojedynczego okna.
Obrazy mog02 by04 nast01pnie zapisane w wielu formatach.

%description ksnapshot -l pt_BR.UTF-8
Programa de captura de tela.

%package svgpart
Summary:	Scalable Vector Graphics for KDE
Summary(pl.UTF-8):	Skalowalna grafika wektorowa (SVG) dla KDE
Group:		X11/Applications/Graphics
Requires:	kde4-kdelibs >= %{version}

%description svgpart
KSVG is a KDE implementation of the Scalable Vector Graphics
Specifications.

%description svgpart -l pl.UTF-8
KSVG stanowi implementacj01 dla KDE specyfikacji skalowalnej grafiki
wektorowej (SVG - Scalable Vector Graphics).

%package okular
Summary:	KDE universal document viewer
Summary(pl.UTF-8):	Uniwersalna przegl02darka dokumentw dla KDE
Group:		X11/Applications/Graphics
Requires:	kde4-kdelibs >= %{version}
Requires:	kio_msits >= %{version}

%description okular
Okular is a universal document browser for KDE.

%description okular -l pl.UTF-8
Okular to uniwersalna przegl02darka dokumentw dla KDE.

%package gwenview
Summary:	Simple image viewer for KDE
Summary(pl.UTF-8):	Prosta przegl02darka obrazkw dla KDE
Group:		X11/Applications/Graphics
Requires:	kde4-kdelibs >= %{version}
Obsoletes:	gwenview

%description gwenview
Gwenview is an image viewer for KDE.

It features a folder tree window and a file list window to provide
easy navigation in your file hierarchy. Image loading is done by the
Qt library, so it supports all image formats your Qt installation
supports.

%description gwenview -l pl.UTF-8
Gwenview to przegl02darka obrazkw dla KDE. Ma okno z drzewem
katalogw oraz okno z list02 plikw w celu zapewnienia 00atwej
nawigacji w hierarchii plikw. Wczytywanie obrazkw jest wykonywane
przez bibliotek01 Qt, wi01c przegl02darka obs00uguje wszystkie formaty
obs00ugiwane przez zainstalowan02 wersj01 Qt.

%package -n kde4-libkdcraw
Summary:	KDcraw library
Summary(pl.UTF-8):	Biblioteka KDcraw
Group:		X11/Libraries
Obsoletes:	libkdcraw

%description -n kde4-libkdcraw
The KDcraw library is part of the KIPI Project.

%description -n kde4-libkdcraw -l pl.UTF-8
Biblioteka KDcraw jest cz0102ci02 projektu KIPI.

%package -n kde4-libkexiv2
Summary:	libkexiv2 library
Summary(pl.UTF-8):	Biblioteka libkexiv2
Group:		X11/Libraries

%description -n kde4-libkexiv2
libkexiv2 library.

%description -n kde4-libkexiv2 -l pl.UTF-8
Biblioteka libkexiv2.

%package -n kde4-libkipi
Summary:	kipi library
Summary(pl.UTF-8):	Biblioteka kipi
Group:		X11/Libraries
Obsoletes:	kde4-kipiplugins

%description -n kde4-libkipi
libkipi library.

%description -n kde4-libkipi -l pl.UTF-8
Biblioteka libkipi.

%package -n kio_msits
Summary:	A kioslave for displaying WinHelp files
Group:		X11/Libraries

%description -n kio_msits
A kioslave for displaying WinHelp files.

%prep
%setup -q -n %{orgname}-%{version}
#%patch100 -p0

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DLIB_INSTALL_DIR=%{_libdir} \
	-DGWENVIEW_SEMANTICINFO_BACKEND=Nepomuk \
	-DSYSCONF_INSTALL_DIR=%{_sysconfdir} \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	kolourpaint	-p /sbin/ldconfig
%postun	kolourpaint	-p /sbin/ldconfig

%post	ksane		-p /sbin/ldconfig
%postun	ksane		-p /sbin/ldconfig

%post	okular		-p /sbin/ldconfig
%postun	okular		-p /sbin/ldconfig

%post	gwenview	-p /sbin/ldconfig
%postun	gwenview	-p /sbin/ldconfig

%post	-n kde4-libkexiv2	-p /sbin/ldconfig
%postun	-n kde4-libkexiv2	-p /sbin/ldconfig

%post	-n kde4-libkdcraw	-p /sbin/ldconfig
%postun	-n kde4-libkdcraw	-p /sbin/ldconfig

%post	-n kde4-libkipi	-p /sbin/ldconfig
%postun	-n kde4-libkipi	-p /sbin/ldconfig

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkolourpaint_lgpl.so
%attr(755,root,root) %{_libdir}/libokularcore.so
%attr(755,root,root) %{_libdir}/libgwenviewlib.so
%attr(755,root,root) %{_libdir}/libksane.so
%attr(755,root,root) %{_libdir}/libkexiv2.so
%attr(755,root,root) %{_libdir}/libkdcraw.so
%attr(755,root,root) %{_libdir}/libkipi.so
%{_includedir}/libksane
%{_includedir}/okular
%{_datadir}/apps/cmake/modules/FindOkular.cmake
%{_datadir}/apps/cmake/modules/FindKSane.cmake
%{_pkgconfigdir}/libkdcraw.pc
%{_pkgconfigdir}/libkexiv2.pc
%{_pkgconfigdir}/libkipi.pc
%{_pkgconfigdir}/libksane.pc
%{_includedir}/libkdcraw
%{_includedir}/libkexiv2
%{_includedir}/libkipi

%files kamera
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kcm_kamera.so
%attr(755,root,root) %{_libdir}/kde4/kio_kamera.so
%{_datadir}/kde4/services/kamera.desktop
%{_datadir}/kde4/services/camera.protocol
%{_kdedocdir}/en/kcontrol/kamera

%files kcolorchooser
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kcolorchooser
%{_desktopdir}/kde4/kcolorchooser.desktop
%{_iconsdir}/[!l]*/*/*/kcolorchooser.*

%files kfile
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/gsthumbnail.so
%{_datadir}/kde4/services/gsthumbnail.desktop
%{_datadir}/config.kcfg/gssettings.kcfg
%attr(755,root,root) %{_libdir}/strigi/strigiea_dvi.so
%attr(755,root,root) %{_libdir}/strigi/strigiea_tiff.so

%files kgamma
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xf86gammacfg
%attr(755,root,root) %{_libdir}/kde4/kcm_kgamma.so
%{_datadir}/apps/kgamma
%{_datadir}/kde4/services/kgamma.desktop
#%{_iconsdir}/*/*/apps/kgamma.png
%{_kdedocdir}/en/kcontrol/kgamma/

%files kolourpaint
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kolourpaint
%attr(755,root,root) %{_libdir}/libkolourpaint_lgpl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkolourpaint_lgpl.so.?
%{_datadir}/apps/kolourpaint
%{_desktopdir}/kde4/kolourpaint.desktop
%{_iconsdir}/*/*/apps/kolourpaint.*
%{_kdedocdir}/en/kolourpaint

%files kruler
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kruler
%{_datadir}/apps/kruler
%{_desktopdir}/kde4/kruler.desktop
%{_iconsdir}/*/*/apps/kruler.*
%{_kdedocdir}/en/kruler

%files ksane
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libksane.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libksane.so.?
%attr(755,root,root) %{_libdir}/kde4/ksaneplugin.so
%{_datadir}/kde4/services/ksane_scan_service.desktop

%files ksnapshot
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ksnapshot
%attr(755,root,root) %{_bindir}/kbackgroundsnapshot
%{_desktopdir}/kde4/ksnapshot.desktop
%{_iconsdir}/*/*/apps/ksnapshot.*
%{_datadir}/dbus-1/interfaces/org.kde.ksnapshot.xml
%{_kdedocdir}/en/ksnapshot

%files svgpart
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/svgpart.so
%{_datadir}/apps/svgpart
%{_datadir}/kde4/services/svgpart.desktop

%files okular
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/okular
%attr(755,root,root) %{_libdir}/libokularcore.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libokularcore.so.?
%attr(755,root,root) %{_libdir}/kde4/okular*.so
%attr(755,root,root) %{_libdir}/kde4/mobithumbnail.so
%attr(755,root,root) %{_libdir}/kde4/rawthumbnail.so
%attr(755,root,root) %{_libdir}/strigi/strigila_mobi.so
%{_datadir}/apps/okular
%{_datadir}/config.kcfg/okular.kcfg
#%{_datadir}/config/okular.knsrc
%{_datadir}/kde4/services/okular*.desktop
%{_datadir}/kde4/services/libokular*.desktop
%{_datadir}/kde4/services/mobithumbnail.desktop
%{_datadir}/kde4/services/rawthumbnail.desktop
%{_datadir}/kde4/servicetypes/okular*.desktop
%{_desktopdir}/kde4/okular*.desktop
# ??
%{_datadir}/kde4/services/ServiceMenus/slideshow.desktop
#
%{_iconsdir}/hicolor/*/apps/okular.png
#%{_iconsdir}/hicolor/scalable/apps/okular.svgz
%{_kdedocdir}/en/okular

%files gwenview
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gwenview
%attr(755,root,root) %{_bindir}/gwenview_importer
%attr(755,root,root) %{_libdir}/libgwenviewlib.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgwenviewlib.so.?
%attr(755,root,root) %{_libdir}/kde4/gvpart.so
%dir %{_datadir}/apps/gwenview
%dir %{_datadir}/apps/gwenview/cursors
%{_datadir}/apps/gwenview/cursors/zoom.png
%{_datadir}/apps/gwenview/fullscreenthemes
%{_datadir}/apps/gwenview/gwenviewui.rc
%dir %{_datadir}/apps/gvpart
%{_datadir}/apps/gvpart/gvpart.rc
%{_datadir}/kde4/services/gvpart.desktop
%{_desktopdir}/kde4/gwenview.desktop
%{_datadir}/apps/solid/actions/gwenview_importer.desktop
%{_iconsdir}/*/*/apps/gwenview.png
#%{_iconsdir}/*/scalable/apps/gwenview.svgz
%{_kdedocdir}/en/gwenview

%files -n kde4-libkdcraw
%defattr(644,root,root,755)
%attr(755,root,root) %ghost %{_libdir}/libkdcraw.so.?
%attr(755,root,root) %{_libdir}/libkdcraw.so.*.*.*
#%dir %{_libdir}/libkdcraw6
#%attr(755,root,root) %{_libdir}/libkdcraw6/kdcraw
#%{_libdir}/libkdcraw6/CAMERALIST
%{_datadir}/apps/solid/actions/solid_camera.desktop
%{_datadir}/apps/libkdcraw
%{_iconsdir}/hicolor/*x*/apps/kdcraw.png

%files -n kde4-libkexiv2
%defattr(644,root,root,755)
%attr(755,root,root) %ghost %{_libdir}/libkexiv2.so.?
%attr(755,root,root) %{_libdir}/libkexiv2.so.*.*.*
%dir %{_datadir}/apps/libkexiv2
%dir %{_datadir}/apps/libkexiv2/data
%{_datadir}/apps/libkexiv2/data/topicset.iptc-subjectcode.xml

%files -n kde4-libkipi
%defattr(644,root,root,755)
%attr(755,root,root) %ghost %{_libdir}/libkipi.so.?
%attr(755,root,root) %{_libdir}/libkipi.so.*.*.*
%{_datadir}/apps/kipi
%{_iconsdir}/hicolor/*x*/apps/kipi.png
%{_iconsdir}/hicolor/16x16/actions/black-white.png
%{_iconsdir}/hicolor/16x16/actions/color.png
%{_iconsdir}/hicolor/16x16/actions/gray-scale.png
%{_datadir}/kde4/servicetypes/kipiplugin.desktop

%files -n kio_msits
%defattr(644,root,root,755)
%{_libdir}/kde4/kio_msits.so
%{_datadir}/kde4/services/msits.protocol

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde4-kdegraphics.spec,v $
Revision 1.92  2010/06/30 08:42:18  shadzik
- 4.4.5

Revision 1.91  2010/06/13 17:09:41  arvenil
- move kio_msits.so to sub package to avoid conflict with kchmviewer
- R: kio_msits for okular; everywhere its okular and not gwenview dependency
  but feel free to correct me if im wrong.
- release 2

Revision 1.90  2010/05/28 23:35:26  shadzik
- 4.4.4

Revision 1.89  2010/05/01 13:59:09  shadzik
- 4.4.3

Revision 1.88  2010/03/27 16:09:53  arekm
- up to 4.4.2

Revision 1.87  2010/02/27 12:34:03  shadzik
- 4.4.1 try #1

Revision 1.86  2010/02/18 18:01:51  sparky
- BR: QtDesigner-devel
- dropped unused BR: OpenEXR-devel, OpenGL-GLU-devel, ed, fribidi-devel,
  gettext-devel, ghostscript-devel, giflib-devel, imlib-devel, kpathsea,
  libieee1284-devel
- still builds with all options enabled

Revision 1.85  2010/02/18 14:37:32  shadzik
- merged from DEVEL

Revision 1.72.2.23  2010/02/15 12:40:35  shadzik
- rel 2

Revision 1.72.2.22  2010/02/15 09:21:14  shadzik
- BuildRequires: shared-desktop-ontologies-devel

Revision 1.72.2.21  2010/02/04 20:42:21  arekm
- up to 4.4.0

Revision 1.72.2.20  2010/02/02 20:55:14  shadzik
- bump up qtver; it's not necessary but we make sure we link with the latest qtver

Revision 1.72.2.19  2010/02/02 19:21:45  shadzik
- oops, fix OpenGL-GLU-devel BR - thx vip for noticing

Revision 1.72.2.18  2010/02/02 16:00:14  shadzik
- minor clean up (removing old svn snap stuff)

Revision 1.72.2.17  2010/02/02 15:39:33  shadzik
- version qt4 BRs
- add qt4-qmake BR

Revision 1.72.2.16  2010/02/02 13:11:16  shadzik
- force cmake 2.8.0 BR

Revision 1.72.2.15  2010/02/01 01:04:38  shadzik
- 4.4 RC3

Revision 1.72.2.14  2010/01/20 09:46:42  arekm
- up to 4.3.95

Revision 1.72.2.13  2010/01/08 12:08:45  arekm
- up to 4.3.90

Revision 1.72.2.12  2009/12/20 16:43:51  shadzik
- 4.4 Beta2

Revision 1.72.2.11  2009/12/04 01:18:04  sparky
- BR: Qt3Support-devel, QtNetwork-devel, QtSvg-devel, QtTest-devel, pkgconfig,
  qimageblitz-devel, qt4-build, soprano-devel, strigi-devel

Revision 1.72.2.10  2009/12/03 20:15:53  shadzik
- 4.4 beta1

Revision 1.72.2.9  2009/11/18 18:52:42  shadzik
- 4.3.75

Revision 1.72.2.8  2009/11/14 23:30:41  cactus
- up to 4.3.74

Revision 1.72.2.7  2009/10/29 13:19:21  paszczus
- updated to 4.3.73

Revision 1.72.2.6  2009/10/19 06:24:39  paszczus
- updated to 4.3.72

Revision 1.72.2.5  2009/10/02 00:51:33  cactus
- up to 4.3.69

Revision 1.72.2.4  2009/09/22 13:01:12  cactus
- up to 4.3.68

Revision 1.72.2.3  2009/09/11 01:13:00  cactus
- up to 4.3.67

Revision 1.72.2.2  2009/08/22 11:16:52  cactus
- up to 4.3.65

Revision 1.72.2.1  2009/08/20 07:40:21  cactus
- up to 4.3.64; adapterized

Revision 1.72  2009/08/19 20:56:55  arekm
- rel 3; build fixed

Revision 1.71  2009/08/19 20:09:14  arekm
- rel 2; branch diff is back

Revision 1.70  2009/08/03 15:20:25  arekm
- values are case sensitive it seems

Revision 1.69  2009/07/29 20:29:31  shadzik
- merged from DEVEL

Revision 1.64.2.10  2009/07/29 20:29:16  shadzik
- 4.3.0

Revision 1.64.2.9  2009/07/22 10:41:31  shadzik
- 4.3rc3

Revision 1.64.2.8  2009/07/09 19:05:03  paszczus
- updated to 4.2.96

Revision 1.64.2.7  2009/07/04 15:33:30  shadzik
- fix --target build

Revision 1.64.2.6  2009/06/29 21:08:06  shadzik
- 4.3 RC1

Revision 1.64.2.5  2009/06/11 16:35:46  paszczus
- updated to 4.2.91

Revision 1.64.2.4  2009/06/11 12:42:14  cactus
- up to 4.2.90
- removed BR: poppler-qt-devel as there is here BR: poppler-Qt-devel

Revision 1.64.2.3  2009/05/30 15:10:51  paszczus
- updated to 4.2.88

Revision 1.64.2.2  2009/05/27 10:26:19  shadzik
- files

Revision 1.64.2.1  2009/05/27 06:51:51  paszczus
- updated to 4.2.87 (few files need to be added, but i dont know to which subpackage they belongs

Revision 1.64  2009/05/08 15:02:06  shadzik
- release 3

Revision 1.63  2009/05/08 14:34:37  shadzik
- updated cmake br

Revision 1.62  2009/05/01 15:18:48  shadzik
- 4.2.3

Revision 1.61  2009/03/27 22:08:59  shadzik
- 4.2.2

Revision 1.60  2009/02/27 14:14:29  shadzik
- 4.2.1

Revision 1.59  2009/02/20 12:15:49  shadzik
- release 5

Revision 1.58  2009/02/20 11:53:37  shadzik
- conditional release/debug build (thx glen)

Revision 1.57  2009/02/20 10:51:44  shadzik
- don't be that noisy on terminal output; rel up

Revision 1.56  2009/02/06 16:28:18  qboosh
- todo comment

Revision 1.55  2009/02/06 16:27:47  qboosh
- simple descs where any where missing (real descs still todo)

Revision 1.54  2009/02/03 13:51:59  shadzik
- merged from DEVEL
- 4.2.0 stable
- rel 3

Revision 1.50.2.37  2009/01/22 19:38:42  shadzik
- BR: automoc4 >= 0.9.88
- rel 2

Revision 1.50.2.36  2009/01/22 15:41:10  shadzik
- 4.2.0

Revision 1.50.2.35  2009/01/07 19:28:59  shadzik
- 4.2 RC1

Revision 1.50.2.34  2009/01/05 17:53:39  glen
- revert source url change

Revision 1.50.2.33  2009/01/03 17:22:52  rotom
- up to 4.1.87

Revision 1.50.2.32  2008/12/28 14:58:51  glen
- remove C libkipi to allow simulatenous installs
- pkgconfig files to -devel; rel 2

Revision 1.50.2.31  2008/12/15 15:59:01  shadzik
- 4.1.85

Revision 1.50.2.30  2008/12/12 13:34:52  glen
- kde4-libkdcraw replaces libkdcraw (green light from shadzik); rel 2

Revision 1.50.2.29  2008/12/09 22:01:56  glen
- +x kde4/ksaneplugin.so

Revision 1.50.2.28  2008/12/08 16:06:32  paszczus
- updated to 4.1.82

Revision 1.50.2.27  2008/11/29 04:14:24  shadzik
- 4.1.81

Revision 1.50.2.26  2008/11/26 20:28:43  shadzik
- 4.2 beta1

Revision 1.50.2.25  2008/11/19 09:51:13  shadzik
- fixed R:
- by Michal Kochanowicz <michal at michal dot waw dot pl>

Revision 1.50.2.24  2008/11/18 13:07:47  shadzik
- fix -devel Requirements

Revision 1.50.2.23  2008/11/17 23:02:12  shadzik
- add patch0 to not to show a message indicating that libkipi is not present in our system
  (of course it's not, kde4-kdegraphics provides it)

Revision 1.50.2.22  2008/11/17 22:56:41  shadzik
- oops, fix %post %postun

Revision 1.50.2.21  2008/11/17 22:54:36  shadzik
- bleh, -kipiplugins? really? it's libkipi!!!
- ghost symlinks
- add Rs to -devel subpackage

Revision 1.50.2.20  2008/11/14 10:35:28  paszczus
- updated cmake BR

Revision 1.50.2.19  2008/11/14 08:42:34  paszczus
- updated to 4.1.73

Revision 1.50.2.18  2008/11/06 04:14:26  shadzik
- 4.1.72

Revision 1.50.2.17  2008/11/01 14:13:36  rotom
- added support for Nepomuk in Gwenview

Revision 1.50.2.16  2008/10/23 17:55:37  paszczus
- updated to 4.1.71

Revision 1.50.2.15  2008/10/20 00:55:57  shadzik
- rel up and qtver bump up

Revision 1.50.2.14  2008/10/20 00:52:02  shadzik
- s/kde4-kdebase-core/kde4-kdebase/g in Rs

Revision 1.50.2.13  2008/10/18 15:57:38  rotom
- up to 4.1.70
- adaptized

Revision 1.50.2.12  2008/10/10 12:25:21  paszczus
- updated to 4.1.69

Revision 1.50.2.11  2008/10/02 15:20:50  paszczus
- updated to 4.1.68

Revision 1.50.2.10  2008/09/20 13:28:29  paszczus
- updated to 4.1.67

Revision 1.50.2.9  2008/09/04 20:44:15  paszczus
- updated to 4.1.65

Revision 1.50.2.8  2008/08/31 11:53:23  wolf
- BR qca-devel >= 2.0.0

Revision 1.50.2.7  2008/08/30 23:09:29  shadzik
- 4.1.64

Revision 1.50.2.6  2008/08/23 12:46:46  paszczus
- updated to 4.1.63

Revision 1.50.2.5  2008/08/19 14:16:40  shadzik
- %files

Revision 1.50.2.4  2008/08/17 22:30:09  shadzik
- 4.1.62

Revision 1.50.2.3  2008/08/15 11:51:01  shadzik
- cmake fix now in cmake itself

Revision 1.50.2.2  2008/08/11 10:42:12  paszczus
- proper md5

Revision 1.50.2.1  2008/08/09 16:41:08  shadzik
- 4.1.61

Revision 1.50  2008/08/09 16:34:29  shadzik
- reverted

Revision 1.48  2008/07/28 19:18:32  arekm
- new tarball

Revision 1.47  2008/07/26 17:27:58  rotom
- proper commit description

Revision 1.46  2008/07/26 16:40:32  rotom
- make kdcraw executable

Revision 1.45  2008/07/25 07:02:24  paszczus
- added C: libkipi; release 3

Revision 1.44  2008/07/25 06:36:37  arekm
- gwenview O: gwenview

Revision 1.43  2008/07/24 23:06:03  arekm
- new tarballs

Revision 1.42  2008/07/24 20:47:04  paszczus
- updated to stable 4.1.0

Revision 1.41  2008/07/15 18:50:17  shadzik
- 4.0.98

Revision 1.40  2008/07/04 19:23:37  rotom
- up to 4.0.85

Revision 1.39  2008/06/24 18:16:06  shadzik
- adjusted files

Revision 1.38  2008/06/24 17:56:23  shadzik
- proper BR:

Revision 1.37  2008/06/24 17:53:37  shadzik
- 4.0.83

Revision 1.36  2008/06/20 18:52:25  shadzik
- 64bit fix

Revision 1.35  2008/06/15 19:42:01  rotom
- ebook-tools BR added

Revision 1.34  2008/06/12 17:28:28  shadzik
- 4.0.82
- killed "ebook-tools" BR (where the crack did you get this from, rotom!?)

Revision 1.33  2008-06-07 19:03:55  rotom
- more BRs

Revision 1.32  2008-06-04 19:43:09  rotom
- up to 4.0.81
- libkdcraw, libkexiv and kipiplugins added

Revision 1.31  2008-05-27 17:59:50  qboosh
- descs and -devel Rs update

Revision 1.30  2008-05-27 17:52:40  qboosh
- unified

Revision 1.29  2008-05-27 16:34:12  shadzik
- 4.0.80

Revision 1.28  2008-05-24 16:49:55  shadzik
- C: kscanservice for cleaner upgrade

Revision 1.27  2008-05-24 16:43:37  shadzik
- 4.0.74
- kscanservice -> ksane

Revision 1.26  2008-05-09 17:44:30  shadzik
- 4.0.73
- rel 1

Revision 1.25  2008-04-30 21:18:25  rotom
- 4.0.72

Revision 1.24  2008-04-20 11:08:40  shadzik
- 4.0.70

Revision 1.23  2008-04-09 16:25:56  shadzik
- 4.0.68

Revision 1.22  2008-03-30 04:28:46  shadzik
- 4.0.67

Revision 1.21  2008-03-22 03:03:00  shadzik
- 4.0.66

Revision 1.20  2008-03-08 00:50:51  shadzik
- missing dir
- rel 0.2

Revision 1.19  2008-03-08 00:48:49  shadzik
- 4.0.65
- more files

Revision 1.18  2008-03-05 18:41:54  shadzik
- 4.0.64
- updated BRs

Revision 1.17  2008-02-15 02:03:37  shadzik
- 4.0.62

Revision 1.16  2008-02-10 16:55:51  rotom
- 4.0.61

Revision 1.15  2008-02-06 18:01:23  shadzik
- fixed ghosting

Revision 1.14  2008-02-06 17:47:49  shadzik
- R: konqueror4 -> kde4-konqueror

Revision 1.13  2008-02-06 17:31:10  shadzik
- rel 0.2

Revision 1.12  2008-02-06 17:29:05  shadzik
- R: konqueror4

Revision 1.11  2008-02-06 14:27:48  shadzik
- adapterized

Revision 1.10  2008-02-04 23:28:14  shadzik
- oops, little mistake by Rs

Revision 1.9  2008-02-04 23:26:32  shadzik
- 4.0.60

Revision 1.8  2008-02-04 21:56:56  qboosh
- no initial epoch

Revision 1.7  2008-02-04 21:56:23  qboosh
- use _iconsdir and _desktopdir macros

Revision 1.6  2008-02-04 20:57:23  shadzik
- tidy up messy gwenview subpackage

Revision 1.5  2008-02-04 20:41:44  shadzik
- %post and %postun for gwenview subpackage (otherwise ghosting *.so.? doesn't make sense)

Revision 1.4  2008-02-04 18:59:36  rotom
- some BRs added
- gwenview package added
- rel 0.2

Revision 1.3  2008-02-04 03:20:19  shadzik
- almost finished
- lots of files packaged
- removed old packages
- created new ones
- dunno what to do with those strigi libs, maybe a new subpackage? the hell knows

Revision 1.2  2008-02-03 03:11:43  shadzik
- fix one R

Revision 1.1  2008-02-03 02:52:20  shadzik
- initial and raw from kdegraphics.spec
- sorry darekr i couldn't wait for you
- NFY (needs %files and other stuff too i guess)
